summaryrefslogtreecommitdiffstats
path: root/network/sylpheed/sylpheed.SlackBuild
diff options
context:
space:
mode:
author GPLeo2010-05-12 17:44:16 +0200
committer David Somero2010-05-12 17:44:16 +0200
commit482ff139b82148e05d07ede113748fdad0ff5af3 (patch)
tree82d5766a7fe15036278ae8ab8c5bca2ee1e699d7 /network/sylpheed/sylpheed.SlackBuild
parentf8d56146fdf8f4ea9e0b4eb34db68eb2dfc1a375 (diff)
downloadslackbuilds-482ff139b82148e05d07ede113748fdad0ff5af3.tar.gz
network/sylpheed: Updated for version 2.6.0
Diffstat (limited to 'network/sylpheed/sylpheed.SlackBuild')
-rw-r--r--network/sylpheed/sylpheed.SlackBuild64
1 files changed, 29 insertions, 35 deletions
diff --git a/network/sylpheed/sylpheed.SlackBuild b/network/sylpheed/sylpheed.SlackBuild
index 7e2deead55..6d484acbdd 100644
--- a/network/sylpheed/sylpheed.SlackBuild
+++ b/network/sylpheed/sylpheed.SlackBuild
@@ -2,46 +2,32 @@
# Slackware build script for sylpheed
-# Copyright 2006 Martin Lefebvre (http://dadexter.slackadelic.com)
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by the SlackBuilds.org project
-
-set -e
+# Written by GPLeo <slackbuilds@gmail.com>
PRGNAM=sylpheed
-VERSION=2.4.1
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-2.6.0}
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
+TAG=${TAG:-_SBo}
+
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS AUTHORS COPYING COPYING.LIB INSTALL LICENSE README README.es TODO"
+
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -49,17 +35,24 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --enable-gpgme \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
-make
-make install-strip DESTDIR=$PKG
+make
+make install-strip DESTDIR=$PKG
# Install desktop file and icon (we'll use the largest icon available by
# default - that way, it will scale down just fine for users who need a
@@ -69,12 +62,13 @@ install -m 0644 sylpheed.desktop $PKG/usr/share/applications/sylpheed.desktop
install -m 0644 sylpheed-128x128.png $PKG/usr/share/pixmaps/sylpheed.png
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ABOUT-NLS AUTHORS COPYING* ChangeLog* INSTALL* LICENSE NEWS* README* \
- TODO* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
# Put links to manual and faq in doc directory (leave them in current location
# in case any app-specific help files look there)
+
( cd $PKG/usr/doc/$PRGNAM-$VERSION
ln -s ../../share/sylpheed/faq faq
ln -s ../../share/sylpheed/manual manual